VCS: https://gitlab.cern.ch/linuxsupport/rpms/locmap/puppet-kerberos/-/tree/13551df576d6903a23ed4519f2742ab91ab3ddc1
Name:           puppet-kerberos
Version:        2.7
Release:        1%{?dist}
Summary:        Puppet module for kerberos service

Group:          CERN/Utilities
License:        BSD
URL:            http://linux.cern.ch
Source0:        %{name}-%{version}.tgz

BuildArch:      noarch

Requires:       puppet-keytab

%description
Puppet module for kerberos service.

%prep
%setup -q

%build
CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
install -d %{buildroot}/%{_datadir}/puppet/modules/kerberos/
cp -ra code/* %{buildroot}/%{_datadir}/puppet/modules/kerberos/
touch %{buildroot}/%{_datadir}/puppet/modules/kerberos/linuxsupport

%files -n puppet-kerberos
%{_datadir}/puppet/modules/kerberos
%doc code/README.md

%changelog
* Thu Feb 11 2021 Ben Morrice <ben.morrice@cern.ch> - 2.7-1
- move away from hiera lookups

* Tue Jan 05 2021 Ben Morrice <ben.morrice@cern.ch> - 2.6-1
- disable KCM ccache on C8 (for EOS and friends)

* Fri Jul 10 2020 Ben Morrice <ben.morrice@cern.ch> - 2.5-1
- INC2472222 add default_tkt_enctypes to krb5.conf on CC7

* Mon Feb 24 2020 Ben Morrice <ben.morrice@cern.ch> - 2.4-2
- restart sssd after installation of cern-sssd-conf

* Mon Feb 10 2020 Ben Morrice <ben.morrice@cern.ch> - 2.3-1
- define git kerberos cloning fix

* Tue Jan 28 2020 Ben Morrice <ben.morrice@cern.ch> - 2.2-2
- add logic to define kdc server correctly on C8 for atlas/cms/tn

* Mon Jan 27 2020 Ben Morrice <ben.morrice@cern.ch> - 2.2-1
- adapt config for C8
- deploy cern-{krb5,sssd)-conf packages on C8

* Thu Jan 09 2020 Ben Morrice <ben.morrice@cern.ch> - 2.1-2
- Rebuild for el8

* Wed Sep 05 2018 Thomas Oulevey <thomas.oulevey@cern.ch> - 2.1-1
- Add few FNAL kdcs

* Mon Jun 04 2018 Thomas Oulevey <thomas.oulevey@cern.ch> - 2.0-2
- Fix an issue with authconfig not being executed for pam settings.

* Thu May 03 2018 Thomas Oulevey <thomas.oulevey@cern.ch> - 2.0-1
- Rebuild for 7.5

* Tue Nov 29 2016 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.2-1
- Rebuild for 7.3 release

* Fri Jun 17 2016 Aris Boutselis <aris.boutselis@cern.ch>
-Initial release
